FlxpointAPI Help CenterBeta

Delete Listing Variant

deletehttps://api.flxpoint.com/listing/variants/{variantId}

Use this when you want to delete listing data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Endpoint to delete listing variants.

Request

Query parameters
  • deleteParentIfLastVariantqueryboolean

    Determines when this is the last variant deleted and deletes the parent listing. Default : `true`

Example request

delete/listing/variants/{variantId}
curl -X DELETE "https://api.flxpoint.com/listing/variants/{variantId}" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
numberOfListingVariantsDeletedinteger
default 0
numberOfListingParentsDeletedinteger
default 0
numberOfVariantsThatWereLinkedinteger
default 0
Example response
{
  "numberOfListingVariantsDeleted": 0,
  "numberOfListingParentsDeleted": 0,
  "numberOfVariantsThatWereLinked": 0
}
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "delete": {
    "summary": "Delete Listing Variant",
    "description": "Endpoint to delete listing variants.",
    "parameters": [
      {
        "schema": {
          "type": "boolean",
          "default": true
        },
        "in": "query",
        "name": "deleteParentIfLastVariant",
        "description": "Determines when this is the last variant deleted and deletes the parent listing. Default : `true`"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/DeleteListingResponse"
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight